using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using DevExpress.XtraEditors;
using DevExpress.XtraPrinting;
using System.Collections;

namespace TestLocalization {
    public partial class FormGrid : DevExpress.XtraEditors.XtraForm {
        public FormGrid() {
            InitializeComponent();
        }

        private void FormGrid_Load(object sender, EventArgs e) {
            new DevExpress.XtraGrid.Design.XViewsPrinting(Grid);
            CardView.PopulateColumns();
        }

        private void barButtonItem1_ItemClick(object sender, DevExpress.XtraBars.ItemClickEventArgs e) {
            UserControl ctrl = ((IPrintable)Grid).PropertyEditorControl;
            Form frm = new Form();
            frm.Size = new Size(600, 400);
            ctrl.Dock = DockStyle.Fill;
            frm.Controls.Add(ctrl);
            frm.MdiParent = MdiParent;
            frm.Text = "XtraGrid Print Desginer";
            frm.Show();
        }

        private void OnSelectedViewChanged(object sender, EventArgs e) {
            switch ((string)beiView.EditValue) {
                case "GridView": Grid.MainView = GridView; break;
                case "BandedGridView": Grid.MainView = BandedGridView; break;
                case "AdvBandedGridView": Grid.MainView = AdvBandedGridView; break;
                case "CardView": Grid.MainView = CardView; break;
                case "LayoutView": Grid.MainView = LayoutView; break;
            }
        }
    }
}